# Glom::Privileges Class Reference

List of all members.

## Public Member Functions

| Privileges ()
| Privileges (const Privileges& src)
virtual | ~Privileges ()
Privileges& | operator= (const Privileges& src)
bool | operator== (const Privileges& src) const

## Public Attributes

bool | m_view
bool | m_edit
bool | m_create
bool | m_delete

## Constructor & Destructor Documentation

Glom::Privileges::Privileges | ( |  | ) |

Glom::Privileges::Privileges | ( | const Privileges& | src | ) |

virtual Glom::Privileges::~Privileges | ( |  | ) | `[virtual]`

## Member Function Documentation

Privileges& Glom::Privileges::operator= | ( | const Privileges& | src | ) |

bool Glom::Privileges::operator== | ( | const Privileges& | src | ) | const

## Member Data Documentation

bool Glom::Privileges::m_create

bool Glom::Privileges::m_delete

bool Glom::Privileges::m_edit

bool Glom::Privileges::m_view

The documentation for this class was generated from the following file:

- libglom/data_structure/privileges.h